Order entry
Get fills
Your trades on the order book, newest first, as taker or maker. Pass cursor back for older ones.
GET
/
portfolio
/
fills
Get fills
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/fills \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/fills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fills": [
{
"fill_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"count": "<string>",
"cost": "<string>",
"ts_ms": 4503599627370495
}
],
"cursor": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Authorizations
An API key from your account: Authorization: Bearer udk_<live|test>_<id>_<secret>.
Query Parameters
Market ticker (one window of a series), e.g. "btc-15m-261002-1400-1415". Opaque.
Pattern:
^[a-z0-9][a-z0-9-]{0,63}-\d{6}-\d{4}-\d{4}(d\d{1,2})?$Required range:
1 <= x <= 500Pattern:
^\d+$⌘I
Get fills
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/fills \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/fills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fills": [
{
"fill_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"count": "<string>",
"cost": "<string>",
"ts_ms": 4503599627370495
}
],
"cursor": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}